Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
Image Class Reference
Inheritance diagram for Image:

## Public Member Functions
| __construct ()
| getId ()
| setId ($id)
| getName ()
| setName ($name)
| getAlt ()
| setAlt ($alt)
| getStatus ()
| setStatus ($status)
Public Member Functions inherited from Mother
| hydrate (array $arrData)

## Additional Inherited Members
Protected Member Functions inherited from Mother
| nettoyer (string $strText)
Protected Attributes inherited from Mother
string | $_prefix = ''

## Detailed Description

Classe d'un objet Projet

Author
  Laura

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

le constructeur de la table image

## Member Function Documentation

## ◆ getAlt()

getAlt | ( |  | ) |

Récuperation de l'alt

Returns
  string contenu de l'alt

## ◆ getId()

getId | ( |  | ) |

Récuperation de l'id de l'image

Returns
  int l'id de l'image

## ◆ getName()

getName | ( |  | ) |

Récuperation du nom de l'image

Returns
  string nom de l'image

## ◆ getStatus()

getStatus | ( |  | ) |

Récuperation du statut de la photo

Returns
  string du statut

## ◆ setAlt()

setAlt | ( |  | $alt | ) |

Mise à jour de l'alt

Parameters

  string | le nouveau contenu de l'alt

## ◆ setId()

setId | ( |  | $id | ) |

Mise à jour de l'id de l'image

Parameters

  int | le nouvelle id

## ◆ setName()

setName | ( |  | $name | ) |

Mise à jour du nom de l'image

Parameters

  string | le nouveau nom de l'image

## ◆ setStatus()

setStatus | ( |  | $status | ) |

Mise à jour du statut de la photo

Parameters

  string | le nouveau statut de la photo

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/entities/Image.php